TIBCO EMS .NET API 8.5 TIBCO EMS .NET API 8.5

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | List of all members
TIBCO.EMS.ADMIN.LDAPParams Class Reference

This class represents LDAP parameters. More...

Inheritance diagram for TIBCO.EMS.ADMIN.LDAPParams:

## Public Attributes
const string | LDAP_URL = "ldapurl"
| String parameter for LDAP server URL. More...
const string | LDAP_principal = "ldapprinc"
| String parameter for LDAP admin username. More...
const string | LDAP_USER_CLASS = "ldapuclass"
| String parameter for LDAP object class that stores users. More...
const string | LDAP_USER_ATTRIBUTE = "ldapunmatr"
| String parameter for the attribute on the user object class that holds the name of the user. More...
const string | LDAP_USER_BASE_DN = "ldapubasedn"
| String parameter for base DN of the LDAP tree that contains the users. More...
const string | LDAP_USER_SCOPE = "ldapuscope"
| String parameter for the search scope of user objects. More...
const string | LDAP_USER_NAME_FILTER = "ldapunmfilt"
| String parameter for LDAP search filter for finding a given user name. More...
const string | LDAP_ALL_USERS_FILTER = "ldapalufilt"
| String parameter for LDAP search filter for finding all users. More...
const string | LDAP_GROUP_BASE_DN = "ldapgbasedn"
| String parameter for LDAP base DN of groups. More...
const string | LDAP_GROUP_SCOPE = "ldapgscope"
| String parameter for LDAP search scope of groups. More...
const string | LDAP_GROUP_NAME_FILTER = "ldapgnmfilt"
| String parameter for LDAP search filter for finding a group with a given group name. More...
const string | LDAP_ALL_GROUPS_FILTER = "ldapalgfilt"
| String parameter for LDAP search filter for finding all groups. More...
const string | LDAP_STATIC_GROUP_CLASS = "ldapsgclass"
| String paramter for LDAP object class that stores static groups. More...
const string | LDAP_STATIC_GROUP_ATTRIBUTE = "ldapsgnmatr"
| String parameter for the name of the attribute on the static group object class that holds the name of the group. More...
const string | LDAP_STATIC_MEMBER_ATTRIBUTE = "ldapsmematr"
| String parameter for attribute of an LDAP static group object that specifies the DN fo the members of the group. More...
const string | LDAP_STATIC_MEMBER_FILTER = "ldapsgmfilt"
| String parameter for LDAP search filter for finding static group members. More...
const string | LDAP_DYNAMIC_GROUP_CLASS = "ldapdgclass"
| String parameter for LDAP object class that stores dynamic groups. More...
const string | LDAP_DYNAMIC_GROUP_ATTRIBUTE = "ldapdgnmatr"
| String parameter for the name of the attibute on the dynamic group object class that holds the name of the group. More...
const string | LDAP_DYNAMIC_MEM_URL_ATTRIBUTE = "ldapdmuatr"
| String parameter for the attribute of the dynamic LDAP group object that specifies the URLs of the members of the dynamic group. More...
const string | LDAP_CACHE_ENABLED = "ldapcache"
| Boolean parameter for enabling cahing of LDAP data. More...
const string | LDAP_CACHE_TTL = "ldapcttl"
| Integer parameter for specifying the maximum time (in seconds) that cached LDAP data is retained before it is refreshed. More...
const string | LDAP_CONNECTION_TYPE = "ldapconntp"
| String parameter for specifying the type of connection that the server uses to get LDAP data. More...
const string | LDAP_TLS_CACERT_FILE = "ldapcafile"
| String parameter for trusted certificate that used to sign LDAP server's certificate. More...
const string | LDAP_TLS_CACERT_DIR = "ldapcadir"
| String parameter for the path of trusted certificate chain that used to sign LDAP server's certificate. More...
const string | LDAP_TLS_CLIENT_CERT = "ldapcert"
| String parameter for specifying TIBCO EMS server's certificate when LDAP server requires client authentication. More...
const string | LDAP_TLS_CLIENT_KEY = "ldapkey"
| String parameter for specifying TIBCO EMS server's private key when LDAP server requires client authentication. More...
const string | LDAP_TLS_CIPHERS = "ldapcipher"
| String parameter for specifying encryption ciphers used between TIBCO EMS server and LDAP server. More...
const string | LDAP_TLS_RAND_FILE = "ldaprand"
| String parameter for specifying file(s) containing random data used to seed the random number generator. More...

## Additional Inherited Members
Public Member Functions inherited from TIBCO.EMS.ADMIN.ThirdPartyParams
override string | ToString ()
| Generate a string representation of parameters. More...

## Detailed Description

This class represents LDAP parameters.

## Member Data Documentation

const string TIBCO.EMS.ADMIN.LDAPParams.LDAP_ALL_GROUPS_FILTER = "ldapalgfilt"

String parameter for LDAP search filter for finding all groups.

const string TIBCO.EMS.ADMIN.LDAPParams.LDAP_ALL_USERS_FILTER = "ldapalufilt"

String parameter for LDAP search filter for finding all users.

const string TIBCO.EMS.ADMIN.LDAPParams.LDAP_CACHE_ENABLED = "ldapcache"

Boolean parameter for enabling cahing of LDAP data.

const string TIBCO.EMS.ADMIN.LDAPParams.LDAP_CACHE_TTL = "ldapcttl"

Integer parameter for specifying the maximum time (in seconds) that cached LDAP data is retained before it is refreshed.

const string TIBCO.EMS.ADMIN.LDAPParams.LDAP_CONNECTION_TYPE = "ldapconntp"

String parameter for specifying the type of connection that the server uses to get LDAP data.

const string TIBCO.EMS.ADMIN.LDAPParams.LDAP_DYNAMIC_GROUP_ATTRIBUTE = "ldapdgnmatr"

String parameter for the name of the attibute on the dynamic group object class that holds the name of the group.

const string TIBCO.EMS.ADMIN.LDAPParams.LDAP_DYNAMIC_GROUP_CLASS = "ldapdgclass"

String parameter for LDAP object class that stores dynamic groups.

const string TIBCO.EMS.ADMIN.LDAPParams.LDAP_DYNAMIC_MEM_URL_ATTRIBUTE = "ldapdmuatr"

String parameter for the attribute of the dynamic LDAP group object that specifies the URLs of the members of the dynamic group.

const string TIBCO.EMS.ADMIN.LDAPParams.LDAP_GROUP_BASE_DN = "ldapgbasedn"

String parameter for LDAP base DN of groups.

const string TIBCO.EMS.ADMIN.LDAPParams.LDAP_GROUP_NAME_FILTER = "ldapgnmfilt"

String parameter for LDAP search filter for finding a group with a given group name.

const string TIBCO.EMS.ADMIN.LDAPParams.LDAP_GROUP_SCOPE = "ldapgscope"

String parameter for LDAP search scope of groups.

const string TIBCO.EMS.ADMIN.LDAPParams.LDAP_principal = "ldapprinc"

String parameter for LDAP admin username.

const string TIBCO.EMS.ADMIN.LDAPParams.LDAP_STATIC_GROUP_ATTRIBUTE = "ldapsgnmatr"

String parameter for the name of the attribute on the static group object class that holds the name of the group.

const string TIBCO.EMS.ADMIN.LDAPParams.LDAP_STATIC_GROUP_CLASS = "ldapsgclass"

String paramter for LDAP object class that stores static groups.

const string TIBCO.EMS.ADMIN.LDAPParams.LDAP_STATIC_MEMBER_ATTRIBUTE = "ldapsmematr"

String parameter for attribute of an LDAP static group object that specifies the DN fo the members of the group.

const string TIBCO.EMS.ADMIN.LDAPParams.LDAP_STATIC_MEMBER_FILTER = "ldapsgmfilt"

String parameter for LDAP search filter for finding static group members.

const string TIBCO.EMS.ADMIN.LDAPParams.LDAP_TLS_CACERT_DIR = "ldapcadir"

String parameter for the path of trusted certificate chain that used to sign LDAP server's certificate.

const string TIBCO.EMS.ADMIN.LDAPParams.LDAP_TLS_CACERT_FILE = "ldapcafile"

String parameter for trusted certificate that used to sign LDAP server's certificate.

const string TIBCO.EMS.ADMIN.LDAPParams.LDAP_TLS_CIPHERS = "ldapcipher"

String parameter for specifying encryption ciphers used between TIBCO EMS server and LDAP server.

const string TIBCO.EMS.ADMIN.LDAPParams.LDAP_TLS_CLIENT_CERT = "ldapcert"

String parameter for specifying TIBCO EMS server's certificate when LDAP server requires client authentication.

const string TIBCO.EMS.ADMIN.LDAPParams.LDAP_TLS_CLIENT_KEY = "ldapkey"

String parameter for specifying TIBCO EMS server's private key when LDAP server requires client authentication.

const string TIBCO.EMS.ADMIN.LDAPParams.LDAP_TLS_RAND_FILE = "ldaprand"

String parameter for specifying file(s) containing random data used to seed the random number generator.

const string TIBCO.EMS.ADMIN.LDAPParams.LDAP_URL = "ldapurl"

String parameter for LDAP server URL.

const string TIBCO.EMS.ADMIN.LDAPParams.LDAP_USER_ATTRIBUTE = "ldapunmatr"

String parameter for the attribute on the user object class that holds the name of the user.

const string TIBCO.EMS.ADMIN.LDAPParams.LDAP_USER_BASE_DN = "ldapubasedn"

String parameter for base DN of the LDAP tree that contains the users.

const string TIBCO.EMS.ADMIN.LDAPParams.LDAP_USER_CLASS = "ldapuclass"

String parameter for LDAP object class that stores users.

const string TIBCO.EMS.ADMIN.LDAPParams.LDAP_USER_NAME_FILTER = "ldapunmfilt"

String parameter for LDAP search filter for finding a given user name.

const string TIBCO.EMS.ADMIN.LDAPParams.LDAP_USER_SCOPE = "ldapuscope"

String parameter for the search scope of user objects.